Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.kernel
Class ClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--org.openorb.CORBA.kernel.ClassLoader

public class ClassLoader
extends java.lang.ClassLoader

This class is a class loader for Java classes. It provides to OpenORB the ability to load some of its classes by getting their path from the OpenORB XML file. The class loader has support for manifest file referenced archives.

Version:
  $Revision: 1.6 $ $Date: 2002/07/16 11:20:52 $
Author:
  Jerome Daniel, Olivier Modica

Constructor Summary
`ClassLoader()` Constructor

Method Summary
`void` | `addPath(java.lang.String path)` Add a class path to the path list.
`java.net.URL` | `getResource(java.lang.String name)` Get system resource
`java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)` This operation is used to load a class

Methods inherited from class java.lang.ClassLoader
`getParent, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoader

    public ClassLoader()

  Constructor

Method Detail

### addPath

    public void addPath(java.lang.String path)

  Add a class path to the path list.

### loadClass

    public java.lang.Class loadClass(java.lang.String name,
                                     boolean resolve)
                              throws java.lang.ClassNotFoundException

  This operation is used to load a class

### getResource

    public java.net.URL getResource(java.lang.String name)

  Get system resource
  Overrides:
    `getResource` in class `java.lang.ClassLoader`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD